Package com.databricks.jdbc.api.impl.arrow

## Class ChunkDownloader

- java.lang.Object
- - com.databricks.jdbc.api.impl.arrow.ChunkDownloader

    public class ChunkDownloader
    extends Object

Class to manage Arrow chunks and fetch them on proactive basis.

### Field Summary

Fields
`static JdbcLogger` `LOGGER`

### Method Summary

All Methods Instance Methods Concrete Methods
`ArrowResultChunk` `getChunk()` Fetches the chunk for the given index.
`void` `releaseChunk()` Release the memory for previous chunk since it is already consumed

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### LOGGER

    public static final JdbcLogger LOGGER

### Method Detail

#### getChunk

    public ArrowResultChunk getChunk()
                              throws DatabricksSQLException

Fetches the chunk for the given index. If chunk is not already downloaded, will download the chunk first

Returns:
  the chunk at given index
Throws:
  `DatabricksSQLException`

#### releaseChunk

    public void releaseChunk()

Release the memory for previous chunk since it is already consumed